;bmw_m3_e36, texture modified by METALLVM, gauges/code by PeterB
;Option-Default, gauges right side up
[Main]
Texture=bmw_m3_e36_internal_parts.dds
Author=METALLVM, PeterB

[DirtyRegion-Speedo]
Type=DirtyRegion
Left=2012
Top=18
Right=2586
Bottom=526
[DirtyRegion-Tach]
Type=DirtyRegion
Left=2423
Top=462
Right=2997
Bottom=970
[DirtyRegion-Watero]
Type=DirtyRegion
Left=2040
Top=632
Right=2348
Bottom=818
[DirtyRegion-Oilo]
Type=DirtyRegion
Left=2652
Top=87
Right=2954
Bottom=258
[DirtyRegion-Warnlights1]
Type=DirtyRegion
Left=1004
Top=371
Right=1170
Bottom=410
[DirtyRegion-Warnlights2]
Type=DirtyRegion
Left=1645
Top=371
Right=1743
Bottom=410
[DirtyRegion-Midscreen]
Type=DirtyRegion
Left=327
Top=126
Right=592
Bottom=176

[Speedometer]
Type=Rotating
Data=SpeedKPH
xPos=2296
yPos=300
Texture=Assets\Needle.png
xPivot=271
yPivot=98
RotationStartDeg=-46
RotationStartValue=0
RotationEndDeg=228
RotationEndValue=260
RotationSpeed=10
DampingRatio=2.5

[Tachometer]
Type=Rotating
Data=RPM
xPos=2708
yPos=742
Texture=Assets\Needle.png
xPivot=271
yPivot=98
RotationStartDeg=-47
RotationStartValue=0
RotationEndDeg=225
RotationEndValue=8000
RotationSpeed=10
DampingRatio=2.5

[OilTemp]
Type=Rotating
Data=OilTemperatureC
xPos=2807
yPos=287
Texture=Assets\Needle2.png
xPivot=162
yPivot=58
Rotation0Deg=43
Rotation0Value=60
Rotation1Deg=78
Rotation1Value=90
Rotation2Deg=116
Rotation2Value=120
Rotation3Deg=133
Rotation3Value=150

[WaterTemp]
Type=Rotating
Data=CoolantTemperatureC
xPos=2199
yPos=855
Texture=Assets\Needle2.png
xPivot=162
yPivot=58
Rotation0Deg=46
Rotation0Value=40
Rotation1Deg=60
Rotation1Value=60
Rotation2Deg=85
Rotation2Value=80
Rotation3Deg=133
Rotation3Value=140

;Warning Lights
[HandbrakeWarning]
Type=Simple
Data=HandbrakeON
xPos=1116
yPos=375
Texture=Assets\Handbrake.png
[EngineOff]
Type=Simple
Data=EngineOff
xPos=1064
yPos=374
Texture=Assets\Engine.png
[CoolantTemperatureWarning]
Type=Simple
Data=CoolantTemperatureWarning
xPos=1698
yPos=374
Texture=Assets\Coolant.png
[OilPressureWarning]
Type=Simple
Data=OilPressureWarning
xPos=1013
yPos=380
Texture=Assets\Oil.png
[BatteryLevelWarning]
Type=Simple
Data=BatteryLevelWarning
xPos=1650
yPos=377
Texture=Assets\Battery.png


;ScreenMid
[DistanceDriven]
Type=Number
xPos=346
yPos=131
Data=DistanceDriven
Format=Decimal1
Font=Assets\FontDigital.png
[Clock]
Type=Number
xPos=530
yPos=131
Data=SystemTime
Format=TimeHoursMin
Font=Assets\FontDigital.png
NumberJustification=Center